-------------------------------------------------------------------

          ==================================================
          Geant4 - an Object-Oriented Toolkit for Simulation
          ==================================================

            History file for High Precision Neutron model
            ---------------------------------------------

This file should be used to summarize modifications introduced in the
code and to keep track of all tags.

     ---------------------------------------------------------------
     * Please list in reverse chronological order (last date on top)
     ---------------------------------------------------------------

01 Jul 2022 Alberto Ribon (hadr-hpp-V10-07-13)
----------------------------------------------
- G4ParticleHPContAngularPar.cc : added protections against evaluations of
  arrays at negative index (-1), fixing rare reproducibility problems.
- G4ParticleHPInelastic.cc, G4ParticleHPCapture.cc, G4ParticleHPFission.cc,
  G4ParticleHPElastic.cc, G4ParticleHPThermalScattering.cc : replaced
  the threshold used for checking the absolute energy non-conservation
  from DLB_MAX (implying no checking at all) to 350 GeV (this value allows
  for cases where the residual nucleus is not produced, even when super-heavy
  nuclides are involved).

11 May 2022 Dennis Wright (hadr-hpp-V10-07-12)
----------------------------------------------
- code cleanup of G4ParticleHPContEnergyAngular.cc and 
  G4ParticleHPContAngularPar.cc : remove debug code, remove commented out code,
  fix indentation of loops and if branches   

27 April 2022 Dennis Wright
---------------------------
- fix of bug #2468: many or most photons generated from G4NDL/Capture/FSMF6 data
  are too high in energy.  Bug reported and fixed by Sven Menke.
- G4ParticleHPContEnergyAngular
   ::Sample: do not call ClearHistories - needed in case of multiple photons
   ::ClearHistories: check cache before clear
- G4ParticleHPContAngularPar - much code replaced here
   ::Sample: reduce remaining energy before sampling next photon
   ::PrepareTableInterpolation: fix to handle table entries with identical energies
                              : disable code that incorrectly assumes identical min
                                and max energies for two different data sets
   ::BuildByInterpolation: re-build interpolation table only if new interaction
                         : re-write merge of two data sets to fix incorrect
                           assignment of elements
                         : disable and replace code with incorrect assignment of
                           continuous energies

26 April 2022 Alberto Ribon
---------------------------
-  G4ParticleHPVector : fixed compilation warning for 'may be used uninitialized'
   variable.

20 April 2022 Alberto Ribon
---------------------------
-  G4ParticleHPFissionSpectrum.hh, G4ParticleHPSimpleEvapSpectrum.hh,
   G4FPYNormalFragmentDist.cc, G4FissionProductYieldDist.cc, 
   G4ParticleHPInelasticCompFS.cc, G4ParticleHPKallbachMannSyst.cc,
   G4ParticleHPLegendreStore.cc, G4ParticleHPNBodyPhaseSpace.cc,
   G4ParticleHPVector.cc, G4ParticleHPWattSpectrum.cc : fixed compilation
   warnings for 'may be used uninitialized' variables.

09 February 2022 Gabriele Cosmo
-------------------------------
- Fixed compilation warnings on Intel compilers for deprecated use of
  operator=() in G4ParticleHPDataPoint.

05 November 2021 Alberto Ribon (hadr-hpp-V10-07-11)
--------------------------------------------------
Improvements made by Loic Thulliez and Eric Dumonteil (CEA Saclay):
- G4ParticleHPThermalScattering, G4ParticleHPElastic : corrected the
  original treatment of the temperature interpolation when computing
  the neutron final state, with the temperature interpolation performed
  stochastically now. 
- G4ParticleHPThermalScatteringNames : extended the list of materials
  which can have thermal data libraries.

22 October 2021 Alberto Ribon (hadr-hpp-V10-07-10)
-------------------------------------------------
- G4ParticleHPLabAngularEnergy : bug-fix made by Emilio Mendoza.

04 August 2021 Alberto Ribon (hadr-hpp-V10-07-09)
-------------------------------------------------
- (affecting nearly all classes) : set creator model ID for secondaries,
  using the new version of G4PhysicsModelCatalog

23 May 2021 Dennis Wright (hadr-hpp-V10-07-08)
----------------------------------------------
- G4ParticleHPInelasticCompFS:::CompositeApply():
  in two places, replace line
     if (eExcitation < 20*CLHEP::keV) {eExcitation=0;}
   with  eExcitation = std::max(0.,QI[0] - QI[it]) 
  in order to implement fix of bug #2333

16 April 2021 Ben Morgan (hadr-hpp-V10-07-07)
--------------------------------------------------
- Migrate build to modular CMake API

03 May 2021 Vladimir Ivanchenko (hadr-hpp-V10-07-06)
--------------------------------------------------------
- G4ParticleHPData, G4ParticleHPJENDLHEData - G4LPhysicsFreeVector
    is substituted by G4PhysicsFreeVector

08 April 2021 Alberto Ribon (hadr-hpp-V10-07-05)
--------------------------------------------------------
- GNUmakefile, sources.cmake : removed the subdirectories
  hadronic/models/management and hadronic/models/util
  (that have been now deleted, with their classes moved to
   hadronic/util and hadronic/management).
  Removed also the useless dependency to hadronic/process.
  Clean-up of old directories no longer present.

08 April 2021 Alberto Ribon (hadr-hpp-V10-07-04)
--------------------------------------------------------
-  G4ParticleHPCaptureData, G4ParticleHPElasticData,
   G4ParticleHPFissionData, G4ParticleHPInelasticData,
   G4ParticleHPCaptureFS, G4ParticleHPFinalState,
   G4ParticleHPEnAngCorrelation, G4ParticleHPContAngularPar,
   G4ParticleHPMessenger : improved handling of UI commands, in particular
   between different runs, as well as in multi-threaded mode.

22 March 2021 Alberto Ribon (hadr-hpp-V10-07-03)
--------------------------------------------------------
-  G4ParticleHPManager : removed deprecated environmental variables.

18 March 2021 Alberto Ribon (hadr-hpp-V10-07-02)
--------------------------------------------------------
-  G4ParticleHPElementData : removed commented out header files.

08 March 2021 Alberto Ribon (hadr-hpp-V10-07-01)
--------------------------------------------------------
-  G4ParticleHPElementData, G4ParticleHPBGGNucleonInelasticXS : removed
   old and unused header files corresponding to Gheisha cross sections
   (that have been deleted).

05 January 2021 Vladimir Ivanchenko (hadr-hpp-V10-07-00)
--------------------------------------------------------
-  G4ParticleHPThermalScattering - add final state phi-rotation;
     fixed problems #2290 and #1856

05 November 2020 Alberto Ribon (hadr-hpp-V10-06-12)
--------------------------------------------------
-  G4ParticleHPInelastic, G4ParticleHPInelasticData : improved error message
   in the case that both G4PARTICLEHPDATA and the related particle-specific
   environmental variable (e.g. G4PROTONHPDATA) are not defined.
   The recommandation is to define only G4PARTICLEHPDATA.

27 October 2020 Alberto Ribon (hadr-hpp-V10-06-11)
--------------------------------------------------
-  G4ParticleHPInelastic, G4ParticleHPManager : enabled the print out of
   the physics parameters (only once and with a format similar to
   Precompound/de-excitation and RadioativeDecay; note that rather than
   enabling the print out in G4ParticleHPInelastic::BuildPhysicsTable,
   we could have used instead the analogous method BuildPhysicsTable of
   one of the following classes: G4ParticleHPCapture, G4ParticleHPElastic
   and G4ParticleHPFission).
-  G4ParticleHPContAngularPar, G4ParticleHPInelasticBaseFS,
   G4ParticleHPEnAngCorrelation, G4ParticleHPFinalState : replaced
   the use of the environmental variable G4PHP_DO_NOT_ADJUST_FINAL_STATE
   (the only one used outside the class G4ParticleHPManager - a part for
   the one pointing to the data libraries) with the equivalent
   G4ParticleHPManager::GetInstance()->GetDoNotAdjustFinalState().

05 August 2020 Alberto Ribon (hadr-hpp-V10-06-10)
-------------------------------------------------
- G4ParticleHPMessenger : added new UI macro command
  "use_Wendt_fission_model" related to the use of Wendt fission
  model; make sure that not more than one fission fragment model
  is active.
- G4ParticleHPManager : added a new variable related to the use of
  Wendt fission model; throw a "JustWarning" exception when the
  environmental variables are used (to remind that they are still
  valid but deprecated, and will be removed in Geant4 version 11.0);
  added new method "DumpSetting()" which needs to be called somewhere
  to print out once the values of its parameters.
- G4ParticleHPChannel : moved environmental variable related to
  the use of Wendt fission model from this class to
  G4ParticleHPManager.

21 July 2020 Ben Morgan (hadr-hpp-V10-06-09)
--------------------------------------------
- Use GEANT4_BUILD_PHP_AS_HP option to enable PHP_AS_HP,
  retiring use of PHP_AS_HP environment variable.

17 July 2020  Dennis Wright  (hadr-hpp-V10-06-08)
-------------------------------------------------
- Fix bug #2233: two fission fragment models can be active at the same time
  If Wendt model is active in ctor of G4ParticleHPChannel, turn off standard
  fragment production model

30 June 2020  Dennis Wright  (hadr-hpp-V10-06-07)
-------------------------------------------------
- Fix bug #2234: thread competition in method
  G4FissionProductYieldDist::G4GetFission(void).  Place auto lock
  on this method.

28 May 2020  Ben Morgan      (hadr-hpp-V10-06-06)
---------------------------------------------------
- Remove obsolete GRANULAR_DEPENDENCIES entries
- Use add_definitions to set PHP_AS_HP when required

19 May 2020  Alberto Ribon (hadr-hpp-V10-06-05)
-----------------------------------------------
- G4ParticleHPNames, G4ParticleHPProduct, G4ParticleHPInelastic,
  G4ParticleHPInelasticData, G4ParticleHPElasticData,
  G4ParticleHPCaptureData, G4ParticleHPFissionData : allowed the
  printout only if the global hadronic verbosity level is not zero.

05 May 2020   Gunter Folger  (hadr-hpp-V10-06-04)
-------------------------------------------------
- fix for clang10: Correct copy ctor in G4ParticleHPDataPoint.hh
   using default implementation

18 February 2020  Dennis Wright (hadr-hpp-V10-06-03)
----------------------------------------------------
- fix (from Artem Zontikov) bug 1838:
  G4ParticleHPInelasticBaseFS.cc,
    lines 412-413, 599-600: use QI[0]-QI[it] for excitation
    line 442: add particle definition protection to iLevel calculation

13 February 2020  Dennis Wright (hadr-hpp-V10-06-02)
----------------------------------------------------
- fix (from Artem Zontikov) bug 1824:
  change line 166 of G4ParticleHPInelasticBaseFS.cc to
  theFinalStatePhotons->InitPartials(theData, theXsection);

  change line 182 of G4ParticleHPInelasticCompFS.cc to
  theFinalStatePhotons[it]->InitPartials(theData, theXsection[50]);

  remove line delete [] theReactionXsec; in ~G4ParticleHPPhotonDist() as memory
  allocation does not take place in this class

17 January 2020  Alberto Ribon (hadr-hpp-V10-06-01)
----------------------------------------------------
- G4ParticleHPHash, G4ParticleHPCaptureFS : taken into account the difference
  between 'size_t' and 'G4int' to avoid warnings (seen on Windows).

15 January 2020  Dennis Wright (hadr-hpp-V10-06-00)
---------------------------------------------------
- G4ParticleHPThermalScvattering::create_E_isoAng_from_energy :
  add fatal exception for case when pointers panEPM_T_EL or panEPM_T_EH
  are null.  This fixes Coverity bugs 82418 and 82419.

 4 December 2019  Alberto Ribon (hadr-hpp-V10-05-09)
----------------------------------------------------
- G4ParticleHPContAngularPar : set protection against unphysical interpolation
  result in the method Sample.
- G4ParticleHPKallbachMannSyst : added the possibility of tritium and He3
  projectiles in the "A" method, taking in this case (arbitrarily) an
  intermediate value between the two already considered cases
  (proton-neutron-deuteron and alpha).
Note: these two fixes are needed to avoid crashes seen only with the physics
      list QGSP_BIC_AllHP. They should be checked and confirmed by experts.

24 October 2019  Alberto Ribon (hadr-hpp-V10-05-08)
---------------------------------------------------
-  G4ParticleHPNames : remove restriction of using isotopes with Z > 92
   (threfore removing the environmental variable AllowForHeavyElements).
   This was proposed by Emilio Mendoza and approved.

22 July 2019  Dennis Wright (hadr-hpp-V10-05-07)
------------------------------------------------
Two more corrections from Emilio:
- G4ParticleHPInelasticBaseFS::BaseApply(): re-calculation of Q value when
   no data in library
- G4ParticleHPNBodyPhaseSpace::Sample(): protection against maxE < 0

 5 July 2019  Dennis Wright (hadr-hpp-V10-05-06)
------------------------------------------------
Add Emilio Mendoza's improvements and bug fixes:
- G4ParticleHPChannel, G4ParticleHPNames: allow using an incomplete data
    library name if the environment variable G4NEUTRONHP_SKIP_MISSING_ISOTOPES
    is set.  The missing cross sections are then set to 0.
- G4ParticleHPContAngularPar: redefine residual mass to consider incident
    particles other than neutrons.
- G4ParticleHPInelasticBaseFS: add protection against residual with Z<0 or A<Z,
    do not apply adjust_final_state when data is in MF=6 format (no correlated
    particle emission),
    bug correction (add Q value info to G4ParticleHPNBodyPhaseSpace)
- G4ParticleHPInelasticCompFS: re-build method two_body_reaction() to be used by
    incident charged particles (now isotropic emission in the CMS).
    Also restrict nresp use below 20 MeV.
    Add photon emission when no data available.
- G4ParticleHPEnAngCorrelation: delete part of code trying to preserve baryon
    number - one has to assume that it is not preserved when using ENDF-6 data.
- G4ParticleHPKallbachMannSyst: bug fixes

25 June 2019  Dennis Wright (hadr-hpp-V10-05-05)
------------------------------------------------
- G4ParticleHPInelasticCompFS.cc : adopt fix of bug #2166 (A. Zontikov) to
  avoid arbitrary number of target nuclei being generated and slowing down
  multithreaded operation.

24 June 2019  Alberto Ribon (hadr-hpp-V10-05-04)
------------------------------------------------
- G4ParticleHPChannelList : fixed bug in the momentum change (it has to be
  a normalized 3-vector, but it was not) in the case that NeutronHP could
  not find a proper reaction channel. The bug was there since a while, but
  we started getting new warnings since G4 10.5.ref05, likely due to the
  change made on 8 May.

21 June 2019  Dennis Wright (hadr-hpp-V10-05-03)
------------------------------------------------
- fix of bug report 2167
  Adopted fix of Artem Zontikov to deal with un-incremented index of photons
  in G4ParticleHPPhotonDist::GetPhotons.  Also clean up dead code in that class.

8 May 2019  Dennis Wright (hadr-hpp-V10-05-02)
----------------------------------------------
- fix of bug report 1838
  Adopted fix of Artem Zontikov to deal with incorrect excitation energy
  when charged particles are emitted during neutron reaction
    G4ParticleHPInelasticCompFS.cc : method CompositeApply(), for very small
    excitation, change level index from -1 to 0 only if incident and outgoing
    particles are the same.


11 April 2019  Dennis Wright (hadr-hpp-V10-05-01)
-------------------------------------------------
- fix of bug report #1824
  Adopoted fix of Artem Zontikov to make sure production cross section is
  not ignored when sampling discrete gamma emission.
    G4ParticleHPPhotonDist.hh : added reaction cross section data member
    G4ParticleHPPhotonDist::GetPhotons() modified to statistically suppress
    gammas when reaction cross section is non-zero.
    G4ParticleHPPhotonDist::InitPartials() modified to take cross section
      argument
    G4ParticleHPInelasticBaseFS.cc and G4ParticleHPInelasticCompFS.cc
      modified to change calls to InitPartials to take cross section argument

6 February 2019  Alberto Ribon (hadr-hpp-V10-05-00)
---------------------------------------------------
- G4ParticleHPKallbachMannSyst::Kallbach : replaced G4Exp with std::exp in order
  to avoid underflow/overflow crashes observed with the physics list
  QGSP_BIC_AllHP in the version G4 10.5 .

26 November 2018  Gabriele Cosmo (hadr-hpp-V10-04-11)
-----------------------------------------------------
- Fixed potential leaks in G4ParticleHPPhotonDist, G4ParticleHPContAngularPar
  and G4ParticleHPFinalState for use of pointers cached in G4Cache.
- Minor code cleanup and formatting. Modified:
  G4VParticleHPEnergyAngular.hh, G4ParticleHPContAngularPar.hh.cc,
  G4ParticleHPAngular.hh, G4ParticleHPFinalState.hh.cc,
  G4ParticleHPFSFissionFS.hh, G4ParticleHPContEnergyAngular.hh,
  G4ParticleHPPhotonDist.hh, G4ParticleHPFissionBaseFS.hh,
  G4ParticleHPProduct.hh, G4ParticleHPEnAngCorrelation.hh.

9 November 2018  Gabriele Cosmo (hadr-hpp-V10-04-10)
----------------------------------------------------
- G4ParticleHPThermalScattering: fixed printout typo.

4 November 2018  Dennis Wright (hadr-hpp-V10-04-09)
---------------------------------------------------
- G4ParticleHPElasticFS::ApplyYourself(): use correct reference frames for
  calculation of projectile and target momenta.  Correction made for cases
  when cos(Theta) is given in lab frame and in center of momentum frame.
  Partial fix of momentum non-conservation bug report #1918.

22 October 2018  Dennis Wright (hadr-hpp-V10-04-08)
---------------------------------------------------
- G4ParticleHPCaptureFS::ApplyYourself(): Lorentz boost of neutron into target
  frane was backwards - reverse it.  Also replace SetDefinition() with
  SetDefinitionAndUpdateE() in line 75.  Fixes bug report #1919.

11 October 2018  Gabriele Cosmo (hadr-hpp-V10-04-07)
----------------------------------------------------
- Fixed definition of singletons for G4ParticleHPManager and
  G4ParticleHPThreadLocalManager and some code cleanup.
  Made G4ParticleHPThreadLocalManager a G4ThreadlLocalSingleton to avoid
  memory leaks generated each time a thread creates the instance.
- Fixed bug for double allocation of G4ParticleHPReactionWhiteBoard in
  G4ParticleHPThreadLocalManager::OpenReactionWhiteBoard().

4 September 2018  Dennis Wright (hadr-hpp-V10-04-06)
----------------------------------------------------
- Bug 2026:  Fix provided by Artem Zontikov.
  Solves memory leaks in G4ParticleHPContEnergyAngular::Sample() and
  G4ParticleHPContAngularPar::cacheInit()

24 August 2018  Dennis Wright (hadr-hpp-V10-04-05)
--------------------------------------------------
- Fix bug 1789: gamma level mismatch in G4ParticleHPInelasticCompFS.cc
  Not a complete fix because gamma data comes from ENSDF and does not
  necessarily match excitations in ENDF.

24 August 2018  Dennis Wright (hadr-hpp-V10-04-04)
--------------------------------------------------
- Fix bug 1745: incorrect sampling of isotropic distribution in
   G4ParticleHPPhotonDist.cc
   G4ParticleHPCaptureFS.cc
   G4ParticleHPFissionFS.cc
   G4ParticleHPIsotropic.cc

27 July 2018 Vladimir Ivantchenko (hadr-hpp-V10-04-03)
-----------------------------------------------------
- G4ParticleHPElementData - removed unnecessary inheritance from
    GHEISHA data class G4HadronicCrossSection

9 May 2018 Alberto Ribon (hadr-hpp-V10-04-02)
---------------------------------------------------
- G4ENDFTapeRead, G4FissionProductYieldDist : fixed warnings in gcc 8
    regarding catching polymorphic type by value, instead of by reference.


24 April 2018 Alberto Ribon (hadr-hpp-V10-04-01)
---------------------------------------------------
- G4ParticleHPFissionFS : protect against very rare cases of division by zero.


19 December 2017 Gabriele Cosmo (hadr-hpp-V10-04-00)
---------------------------------------------------
- Fixed self-consistency in headers (missing #include) in G4FFGEnumerations,
  G4FPYNubarValues, G4ParticleHPAngularP and G4ParticleHPHash.
  Thanks to Raphael Isemann for reporting these.


29 November 2017 Tatsumi Koi (hadr-hpp-V10-03-09)
---------------------------------------------------
- Change tolerance value and implementation in calculation of KallbachZero.
  FPE errors occurred on several platforms in previous implementations
-Apply some codes cleanup


3 November 2017 Tatsumi Koi (hadr-hpp-V10-03-08)
---------------------------------------------------
- Add NRESP71 model for n on C reaction


5 Oct 2017 Tatsumi Koi (hadr-hpp-V10-03-07)
---------------------------------------------------
- Fix bug in coherent elastic scattering
  Contribution from  N. H. TRAN@CEA


16 Aug 2017 Tatsumi Koi (hadr-hpp-V10-03-06)
---------------------------------------------------
- Remove test codes for the problem mac1011


11 Aug 2017 Tatsumi Koi (hadr-hpp-V10-03-05)
---------------------------------------------------
- A test for mac1011 problem on CDash


18 July 2017 Tatsumi Koi (hadr-hpp-V10-03-04)
---------------------------------------------------
- Fix Bugzilla #1971


1 May 2017 Tatsumi Koi (hadr-hpp-V10-03-03)
---------------------------------------------------
- Bug fix and improve stability: G4ParticleHPFinalState
- Suppress unnecessary warning messages: G4ParticleHPEnAngCorrelation


27 April 2017 Andrea Dotti (hadr-hpp-V10-03-02)
--------------------------------------------------
- Fix in destructor of processes to protect agains concurrent
  deletion


24 April 2017 Tatsumi Koi (hadr-hpp-V10-03-01)
---------------------------------------------------
- Adding check for He3 projectile; Bugzilla #1907


6 March 2017 Tatsumi Koi (hadr-hpp-V10-03-00)
---------------------------------------------------
- Fix minor inconsistency between documentation and code


15 November 2016 Tatsumi Koi (hadr-hpp-V10-02-35)
---------------------------------------------------
-Fix Coverity 82426
-Fix Coverity 58745


14 November 2016 Tatsumi Koi (hadr-hpp-V10-02-34)
---------------------------------------------------
-Fix run-time memory errors reported by valgrind on top of hadr-hpp-V10-02-32


14 November 2016 Tatsumi Koi (hadr-hpp-V10-02-33)
---------------------------------------------------
-Fix run-time memory errors reported by valgrind on top of hadr-hpp-V10-02-31


9 November 2016 Tatsumi Koi (hadr-hpp-V10-02-32)
---------------------------------------------------
-Change default behavior to DO_NOT_SET_PHP_AS_HP
-You can specify old behavior by setting environment variable of PHP_AS_HP


9 November 2016 Tatsumi Koi (hadr-hpp-V10-02-31)
---------------------------------------------------
-Fix entering infinite loop in "DO_NOT_SET_PHP_AS_HP" environment
-Fix problem on divide by zero error in G4ParticleHPVector::ThinOut, which happens in "Release + G4FPE_DEBUG"


4 November 2016 Tatsumi Koi (hadr-hpp-V10-02-30)
---------------------------------------------------
-Fix problem of uninitilaization of cache in "G4ParticleHPContAngularPar",  which happens in "DO_NOT_SET_PHP_AS_HP" enviroment
-Fix problem of divide by zero error in "G4ParticleHPContAngularPar::BuildByInterpolation", which happens in "DO_NOT_SET_PHP_AS_HP" enviroment
-Fix wrong residual in case of He3 projectile Bugzilla #1906


4 November 2016 Pedro Arce (hadr-hpp-V10-02-29)
---------------------------------------------------
Add protection with G4PHP_DO_NOT_ADJUST_FINAL_STATE to G4ParticleHPInelasticBaseFS.cc


31 October 2016 Tatsumi Koi (hadr-hpp-V10-02-28)
---------------------------------------------------
-Re-introduce cache of cross section in GetIsoCrossSection
 Since current CrossSectionDataStore does not call elementwise cross sections
and GetIsoCrossSection is called multiple time in calculation of element which is made from more than one isotope


21 October 2016 Tatsumi Koi (hadr-hpp-V10-02-27)
---------------------------------------------------
- Introduce an environment variable of G4PARTICLEHPDATA as default base name of data directories of ParticleHP


30 September 2016 Tatsumi Koi (hadr-hpp-V10-02-26)
---------------------------------------------------
- Fix coverity issues 58738 58739 58743 and 62507


29 September 2016 Tatsumi Koi (hadr-hpp-V10-02-25)
---------------------------------------------------
- Fix coverity issues 58734 58735 and 58745


28 September 2016 Tatsumi Koi (hadr-hpp-V10-02-24)
---------------------------------------------------
- Fix warning messages from clang 3.8


12 August 2016 Alberto Ribon (hadr-hpp-V10-02-23)
---------------------------------------------------
- G4ParticleHPPhotonDist : added missing protection against null pointer;
- G4ParticleHPLabAngularEnergy : removed redundant if-statement;
- G4ParticleHPThermalScattering : added missing  throw  statements;
(fixes suggested by the PVS-Studio static code analyzer: see bug #1876)


29 July 2016 Tatsumi Koi (hadr-hpp-V10-02-22)
---------------------------------------------------
- Fix coverity issues 58719, 58724, 58725, 58726, 58729, 58730, 58731 and 58733


20 July 2016 Tatsumi Koi (hadr-hpp-V10-02-21)
---------------------------------------------------
- Fix coverity issues 58715, 58717, 58718 and 58728


19 July 2016 Tatsumi Koi (hadr-hpp-V10-02-20)
---------------------------------------------------
- Fix coverity issues 58708, 58712, 58713, 58714 and 58716


13 July 2016 Tatsumi Koi (hadr-hpp-V10-02-19)
---------------------------------------------------
- Fix coverity issues 58706 and 58707


12 July 2016 Tatsumi Koi (hadr-hpp-V10-02-18)
---------------------------------------------------
- Fix coverity issues 58698 and 58705


8 June 2016 Tatsumi Koi (hadr-hpp-V10-02-17)
---------------------------------------------------
- Change default option of GNUmake system "G4PHPDEBUG" was unintentionally activated.


2 June 2016 Tatsumi Koi (hadr-hpp-V10-02-16)
---------------------------------------------------
- Bug fix usage of G4Nucleus::GetBiassedThermalNucleus
- Bug fix for calculation residual A and Z (Bugzilla 1815)
- Both of them effects results only in charged particle projectiles
- Bug fix in sampling of kinematic energy of scattered particle in DiscreteTwoBody (Bugzilla 1815)


31 May 2016 Tatsumi Koi (hadr-hpp-V10-02-15)
---------------------------------------------------
- Bug fix in thermal scattering (Coverity 58647)
- Fix coverity issues 61922
- Fix compilation error in GNUmake system in previous tag


30 May 2016 Tatsumi Koi (hadr-hpp-V10-02-14)
---------------------------------------------------
- Fix coverity issues 58644
- Round2 Fix coverity issues 58648
- Fix warning message in previous tag


27 May 2016 Tatsumi Koi (hadr-hpp-V10-02-13)
---------------------------------------------------
- Fix coverity issues 58622


06 May 2016 Tatsumi Koi (hadr-hpp-V10-02-12)
---------------------------------------------------
- Fix problem in deletion of models in multithreading mode


05 May 2016 V.Ivanchenko (hadr-hpp-V10-02-11)
29 April 2016 Tatsumi Koi (hadr-hpp-V10-02-10)
---------------------------------------------------
- Fix a warning message from gcc 6.1


30 March 2016 Tatsumi Koi (hadr-hpp-V10-02-09)
---------------------------------------------------
-A message about a behavior under the activation of fission fragment production
was modified reflecting hyper news comment.


4 March 2016 Tatsumi Koi (hadr-hpp-V10-02-08)
---------------------------------------------------
- Fix coverity issues 58701, 58702, 58703 and 58704


1 March 2016 Tatsumi Koi (hadr-hpp-V10-02-07)
---------------------------------------------------
- Fix coverity issues 58699 and 58700


18 February 2016 Tatsumi Koi (hadr-hpp-V10-02-06)
---------------------------------------------------
- Fix on problem on MT library


16 February 2016 Tatsumi Koi (hadr-hpp-V10-02-05)
---------------------------------------------------
- Fixes for problem on materials which have hydrogen or helium in
charged particle hp


2 February 2016 Tatsumi Koi (hadr-hpp-V10-02-04)
---------------------------------------------------
- Fix problem in deletion of cross section data set in multithreading mode


25 January 2016 Tatsumi Koi (hadr-hpp-V10-02-03)
---------------------------------------------------
- Fix coverity issues 58648 and 61705


15 January 2016 Tatsumi Koi (hadr-hpp-V10-02-02)
---------------------------------------------------
- Fix coverity issues 58693, 58694 and 58695


12 January 2016 Tatsumi Koi (hadr-hpp-V10-02-01)
---------------------------------------------------
- Fix coverity issues 53477 and 53481


7 January 2016 Tatsumi Koi (hadr-hpp-V10-02-00)
---------------------------------------------------
- Fix coverity issues 58696, 58697, 58723 and 58729


20 November 2015 Tatsumi Koi (hadr-hpp-V10-01-31)
---------------------------------------------------
- Fix for solving reproducibility problem


11 November 2015 Tatsumi Koi (hadr-hpp-V10-01-30)
---------------------------------------------------
- Fix bug which was introduced at hadr-hpp-V10-01-23


5 November 2015 Tatsumi Koi (hadr-hpp-V10-01-29)
---------------------------------------------------
- Loop check


5 November 2015 Gabriele Cosmo (hadr-hpp-V10-01-28)
---------------------------------------------------
- Replaced use of variable 'L' in G4ParticleHPThermalScattering.cc and
  G4PolarizationTransition to avoid shadowing of new volumetric units.


4 November 2015 Tatsumi Koi (hadr-hpp-V10-01-27)
---------------------------------------------------
- Fix problem on previous tag


4 November 2015 Tatsumi Koi (hadr-hpp-V10-01-26)
---------------------------------------------------
- Migration to fast-math functions


3 November 2015 Tatsumi Koi (hadr-hpp-V10-01-25)
---------------------------------------------------
Fix problem on include/G4InterpolationIterator.hh


3 November 2015 Tatsumi Koi (hadr-hpp-V10-01-24)
---------------------------------------------------
Move header files from NeutronHP for keeping backward compatibility
Add NeutronHP.History which is a copy of History in neutron_hp
Add FissFragGen.History which is a copy of FissFragHistory in neutron_hp


28 October 2015 Pedro Arce (hadr-hpp-V10-01-23)
---------------------------------------------------
Make particle_hp behave the same as neutron_hp when PHP_AS_HP and DO_NOT_ADJUST_FINAL_STATE are selected (neutron_hp keeps on applying the adjusting in some places)


8 October 2015 Tatsumi Koi (hadr-hpp-V10-01-22)
---------------------------------------------------
Fix circular dependency, co-working with hadr-hpn-V10-01-20


28 July 2015 Tatsumi Koi (hadr-hpp-V10-01-21)
---------------------------------------------------
Changing to use G4Threading::IsMasterThread() instera of !G4Threading::IsWorkerThread()


21 July 2015 Tatsumi Koi (hadr-hpp-V10-01-20)
---------------------------------------------------
Improve memory consumption


15 July 2015 Tatsumi Koi (hadr-hpp-V10-01-19)
---------------------------------------------------
Code clean up


10 July 2015 Tatsumi Koi (hadr-hpp-V10-01-18)
---------------------------------------------------
Enable to use dynamically generated materials


1 July 2015 Tatsumi Koi (hadr-hpp-V10-01-17)
---------------------------------------------------
Fix problem on UI commands defined in ParticleHPMessenger
Add UI command for changing verbose level


29 June 2015 Tatsumi Koi (hadr-hpp-V10-01-16)
---------------------------------------------------
Fix problem at deletion in multithreading mode
Fix reproducibility problem on multithreading mode


16 June 2015 Tatsumi Koi (hadr-hpp-V10-01-15)
---------------------------------------------------
Fix out of bound array error


11 June 2015 Tatsumi Koi (hadr-hpp-V10-01-14)
---------------------------------------------------
Fix coverity issue #60878, 60879, 60880, 60886 and 60887
Fix coverity issue #58746


8 June 2015 Tatsumi Koi (hadr-hpp-V10-01-13)
---------------------------------------------------
Fix problem on photon distribution Bugzilla #1745


4 June 2015 Tatsumi Koi (hadr-hpp-V10-01-12)
---------------------------------------------------
-Add model and cross section descriptions


4 June 2015 Tatsumi Koi (hadr-hpp-V10-01-11)
---------------------------------------------------
-Fix warning in previous tag


3 June 2015 Tatsumi Koi (hadr-hpp-V10-01-10)
---------------------------------------------------
- Sharing static data among worker threads


27 May 2015 Gabriele Cosmo (hadr-hpp-V10-01-09)
---------------------------------------------------
-Corrected GNUmakefile for inclusion of internal zlib.


24 May 2015 Tatsumi Koi (hadr-hpp-V10-01-08)
---------------------------------------------------
-Making not to use the cache of cross section
 Since the same feature is offered in CrossSectionDataStore


21 May 2015 Tatsumi Koi (hadr-hpp-V10-01-07)
---------------------------------------------------
-Fix warning in previous tag


12 May 2015 Tatsumi Koi (hadr-hpp-V10-01-06)
---------------------------------------------------
-Delete unnecessary issue of BuildPhysicTable
-Introducing ThreadLocalManager
for storing information related to each individual reactions
hadr-hpn-V10-00-18


10 May 2015 Tatsumi Koi (hadr-hpp-V10-01-05)
---------------------------------------------------
-Fix rare core dump in ThermalScattering
-Uncomment out para and ortho hydrogen and liquid and solid methane
-Minor changes in ParticleHPManager
Upto hadr-nhp-V10-00-16
-Adjust A and Z in the case of miss much between selected data and target nucleus
hadr-nhp-V10-00-25
-Adding UI commands for controlling options of HP package
-Adding G4ParticleHPMessenger
hadr-hpn-V10-00-17


8 May 2015 Tatsumi Koi (hadr-hpp-V10-01-04)
---------------------------------------------------
- Fixing problem on entering infinite loop
	src/G4ParticleHPEnAngCorrelation.cc


6 May 2015 Tatsumi Koi (hadr-hpp-V10-01-03)
---------------------------------------------------
-Fixed problem on previous tag


6 May 2015 Tatsumi Koi (hadr-hpp-V10-01-02)
---------------------------------------------------
- Setting PHP_AS_HP is made a default for a while.
  Setting environment variable of "DO_NOT_SET_PHP_AS_HP" overcomes the default.
       sources.cmake
       GNUmakefile


28 January 2015 Tatsumi Koi (hadr-hpp-V10-01-01)
---------------------------------------------------
-Enable to read data file that has a signature of evaluation name.


11 December 2014 Gabriele Cosmo (hadr-hpp-V10-01-00)
---------------------------------------------------
- Removed commented files in sources.cmake script to allow for proper
  validation of sources in system testing.

6 November 2014 Pedro Arce   (hadr-hpp-V10-00-05)
---------------------------------------------------
- Code cleanup
- Compilation flag PHP_AS_HP for comparison with neutron_hp

4 August 2014 Tatsumi Koi   (hadr-hpp-V10-00-03)
---------------------------------------------------
- G4ParticleHPElasticData, G4ParticleHPInelasticData, G4ParticleHPCaptureData,
  G4ParticleHPFissionData, G4ParticleHPJENDLHEData: proper deletion of
  physics vectors.


25 July 2014  Tatsumi Koi (hadr-hpp-V10-00-02)
---------------------------------------------------
- Delete unused (and also uncompilable) header file.
	G4ParticleHPPhotonXSection.hh


1 July 2014  Tatsumi Koi (hadr-hpp-V10-00-01)
---------------------------------------------------
- Fix compilation warnings
	include/G4ParticleHPInelasticData.hh
	src/G4ParticleHPData.cc
	src/G4ParticleHPInelasticData.cc


10 June 2014  Tatsumi Koi
for Pedro Arce and Emilio Mendoza of CIEMAT (hadr-hpp-V10-00-00)
---------------------------------------------------
- Regenerate particle_hp codes from hadr-hpn-V10-00-12
- Deleteing files related FissionFragment model
- Deleteing G4InterpolationManager and so on to avoid duplication


22 October 2012  Dennis Wright (hadr-hpp-V09-05-00)
---------------------------------------------------
- create particle_hp module for treatment of low energy charged particles
- code developed by Pedro Arce and Emilio Mendoza of CIEMAT and based on
  neutronHP

